<script>
    class LoadingHandler {
        props
        constructor(ids) {
            this.props = {
                ...ids
            }
        }
        show() {
            $(this.props.id).addClass('loading')
        }
        hide() {
            $(this.props.id).removeClass('loading')
        }
    }
</script>
